Dieser Inhalt ist in der von Ihnen ausgewählten Sprache nicht verfügbar.
Chapter 3. Enrich AI model metadata for enhanced Red Hat Developer Hub experience
While RHOAI provides essential data, an AI platform engineer using RHOAI can enrich the Backstage/RHDH experience by adding custom properties to the ModelVersion or RegisteredModel (or annotations to the KServe InferenceService if the model registry is not used) so that the OpenShift AI Connector for Red Hat Developer Hub can add the information to the RHDH entities it creates. For more details, see Editing model version metadata in a model registry.
| Property Key | Entity Field Populated | Description |
|---|---|---|
|
| API Definition Tab | The OpenAPI / Swagger JSON specification for the model REST API. |
|
| API Type |
Correlates to supported RHDH/Backstage API types (defaults to |
|
| TechDocs | URL pointing to a Git repository that follows RHDH TechDocs conventions for the Model Card. Use this setting only if the Model Card to TechDocs mapping is not active. |
|
| Links | A URL considered the home page for the model. |
|
| Owner | Overrides the default OpenShift user as the entity owner. |
|
| Lifecycle | Serves a means to express the lifecycle notion of RHDH/Backstage. |
|
| Links | A URL that points to usage documentation. |
|
| Links | A URL to the license file of the model. |
|
| Annotations |
A key piece of metadata is the name of the model used when communicating with the model server’s REST API. OpenShift AI Connector for Red Hat Developer Hub stores this name in the |
3.1. Populating the API Definition tab in RHDH API entities Link kopierenLink in die Zwischenablage kopiert!
Because RHOAI does not expose the OpenAPI specification by default, the AI platform engineer can take the following steps to provide this information:
Procedure
Retrieve OpenAPI JSON: Use a tool such as
curlto fetch the specification directly from the running endpoint of the AI model server. The following command provides the precise endpoint (/openapi.json) and shows how to include aBearertoken if the model requires authentication for access.$ curl -k -H "Authorization: Bearer $MODEL_API_KEY" https://$MODEL_ROOT_URL_INCLUDING_PORT/openapi.json | jq > open-api.jsonSet Property in RHOAI.
In the RHOAI dashboard, go to Model Registry and select the appropriate Model Version.
NoteWe recommend using Model Version instead of Registered Model to maintain stability if the API changes between versions.
-
In the Properties section, set a key/value pair where the key is
API Specand the value is the entire JSON content from theopen-api.jsonfile.
- Propagation: The OpenShift AI Connector for Red Hat Developer Hub periodically polls the RHOAI Model Registry, propagates this JSON, and renders the interactive API documentation in the Definition tab of the RHDH API entity.